[racket-dev] possible bug with 5.* versions and zo files

From: Sam Tobin-Hochstadt (samth at ccs.neu.edu)
Date: Tue Jun 29 11:18:55 EDT 2010

On Tue, Jun 29, 2010 at 11:11 AM, Matthew Flatt <mflatt at cs.utah.edu> wrote:
> At Tue, 29 Jun 2010 09:40:54 -0400, Sam Tobin-Hochstadt wrote:
>> When I went to rebuild the latest source this morning, I got the
>> following error from 'make install':
>> racket/racket3m -X "/home/samth/sw/plt/collects" -N "raco setup" -l- setup
>> raco setup: bootstrapping from source...
>> /home/samth/sw/plt/collects/unstable/private/compiled/expand_ss.zo::0:
>> read (compiled): code compiled for version, not
> Did you get a stack trace with this error?

No, nor when I invoked `raco setup' explicitly.  I can try to setup
the situation again, if that would be helpful.

sam th
samth at ccs.neu.edu

Posted on the dev mailing list.